unit Settings;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TSettingsForm = class(TForm)
    SettingsPnl: TPanel;
    NumLgLbl: TLabel;
    NumSmLbl: TLabel;
    RelSzLbl: TLabel;
    PercRelLbl: TLabel;
    AttrLbl: TLabel;
    AttLgLbl: TLabel;
    AttSmLbl: TLabel;
    InvLbl: TLabel;
    InvLgLbl: TLabel;
    InvSmLbl: TLabel;
    PlausLbl: TLabel;
    NoAttLbl: TLabel;
    LargeNumDisp: TLabel;
    SmallNumDisp: TLabel;
    RelSizeDisp: TLabel;
    PercRelDisp: TLabel;
    LgAttrDisp: TLabel;
    SmAttrDisp: TLabel;
    SmInvDisp: TLabel;
    PlausDisp: TLabel;
    NoAttDisp: TLabel;
    LgInvDisp: TLabel;
    NoInvLbl: TLabel;
    NoInvDisp: TLabel;
    procedure DisplayStart;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SettingsForm: TSettingsForm;

implementation

uses Params, Main;

{$R *.DFM}


procedure TSettingsForm.DisplayStart;
begin

  SettingsPnl.Color := clLtYell;

  if ScreenHeight < 700 then
  begin
{    with SettingsForm do
    begin    }
      NumLgLbl.Font.Size := 10;
      NumSmLbl.Font.Size := 10;
      RelSzLbl.Font.Size := 10;
      PercRelLbl.Font.Size := 10;
      AttrLbl.Font.Size := 10;
      AttLgLbl.Font.Size := 10;
      AttSmLbl.Font.Size := 10;
      NoAttLbl.Font.Size := 10;
      InvLbl.Font.Size := 10;
      InvLgLbl.Font.Size := 10;
      InvSmLbl.Font.Size := 10;
      NoInvLbl.Font.Size := 10;
      PlausLbl.Font.Size := 10;

      NumLgLbl.Top := 7;
      NumSmLbl.Top := 40;
      RelSzLbl.Top := 78;
      PercRelLbl.Top := 122;
      AttrLbl.Top := 162;
      AttLgLbl.Top := 181;
      AttSmLbl.Top := 200;
      NoAttLbl.Top := 219;
      InvLbl.Top := 250;
      InvLgLbl.Top := 268;
      InvSmLbl.Top := 287;
      NoInvLbl.Top := 306;
      PlausLbl.Top := 340;

      LargeNumDisp.Font.Size := 10;
      SmallNumDisp.Font.Size := 10;
      RelSizeDisp.Font.Size := 10;
      PercRelDisp.Font.Size := 10;
      LgAttrDisp.Font.Size := 10;
      SmAttrDisp.Font.Size := 10;
      NoAttDisp.Font.Size := 10;
      LgInvDisp.Font.Size := 10;
      SmInvDisp.Font.Size := 10;
      NoInvDisp.Font.Size := 10;
      PlausDisp.Font.Size := 10;

      LargeNumDisp.Top := 12;
      SmallNumDisp.Top := 43;
      RelSizeDisp.Top := 81;
      PercRelDisp.Top := 125;
      LgAttrDisp.Top := 181;
      SmAttrDisp.Top := 200;
      NoAttDisp.Top := 219;
      LgInvDisp.Top := 268;
      SmInvDisp.Top := 287;
      NoInvDisp.Top := 306;
      PlausDisp.Top := 343;

      LargeNumDisp.Left := 100;
      SmallNumDisp.Left := 100;
      RelSizeDisp.Left := 100;
      PercRelDisp.Left := 100;
      LgAttrDisp.Left := 100;
      SmAttrDisp.Left := 100;
      NoAttDisp.Left := 100;
      LgInvDisp.Left := 100;
      SmInvDisp.Left := 100;
      NoInvDisp.Left := 100;
      PlausDisp.Left := 100;


      Width := 140;
      Height := 414;
{    end; {with SettingsForm}

  end;
  SettingsForm.Top := Trunc(ScreenHeight/2) - Trunc(Height/2);
  SettingsForm.Left := ScreenWidth - (Width + 2);

  SettingsForm.Visible := true;
  LargeNumDisp.Caption := Parameters.NumLgRelsBox.Text;
  SmallNumDisp.Caption := Parameters.NumSmRelsBox.Text;
  RelSizeDisp.Caption := Parameters.SizeRatioBox.Text;
  PercRelDisp.Caption := IntToStr((10*Parameters.StartPctReligBar.Position));
  LgAttrDisp.Caption := IntToStr(LgRelAttraction);
  SmAttrDisp.Caption := IntToStr(SmRelAttraction);
  LgInvDisp.Caption := IntToStr(LgInvRate);
  SmInvDisp.Caption := IntToStr(SmInvRate);
  NoInvDisp.Caption := IntToStr(NoInvRate);
  PlausDisp.Caption := IntToStr(PlausibilityRate);
  NoAttDisp.Caption := IntToStr(SecularizationRate);

end;




end.
